package speiger.src.coreengine.rendering.utils.values;

import org.lwjgl.opengl.GL11;

public enum GLAlphaFunction implements IGLValue {
    NEVER(GL11.GL_NEVER),
    LESS(GL11.GL_LESS),
    EQUAL(GL11.GL_EQUAL),
    LEQUAL(GL11.GL_LEQUAL),
    GREATER(GL11.GL_GREATER),
    NOTEQUAL(GL11.GL_NOTEQUAL),
    GEQUAL(GL11.GL_GEQUAL),
    ALWAYS(GL11.GL_ALWAYS);
	
	int glValue;

	private GLAlphaFunction(int glValue) {
		this.glValue = glValue;
	}

	@Override
	public int glValue() {
		return glValue;
	}
}
